#!/bin/bash

#==============================================================================
# configurable values
#==============================================================================

config_sourced=1

#------------------------------------------------------------------------------
# provide
#------------------------------------------------------------------------------

export PERL_NET_HTTPS_SSL_SOCKET_CLASS PERL_LWP_SSL_VERIFY_HOSTNAME
export EPAGES_UPGRADE_PATH

#------------------------------------------------------------------------------
# define
# -----------------------------------------------------------------------------

# perl socket class for https requests
# valid values: Net::SSL or IO::Socket::SSL
PERL_NET_HTTPS_SSL_SOCKET_CLASS=Net::SSL

# verify the hostname in the SSL certificate
# must be set to 0 if PERL_NET_HTTPS_SSL_SOCKET_CLASS=Net::SSL
# PERL_LWP_SSL_VERIFY_HOSTNAME= is same as PERL_LWP_SSL_VERIFY_HOSTNAME=0
PERL_LWP_SSL_VERIFY_HOSTNAME=0

# required intermediate versions to update to the latest version
# if e.g.:
# a) EPAGES_UPGRADE_PATH='6.17.9 6.17.50 6.17.60'
# b) installed version is 6.17.14
# c) latest version is 6.17.55
# then the upgrade path is 6.17.14 -> 6.17.50 -> 6.17.55
EPAGES_UPGRADE_PATH='6.17.9'

#------------------------------------------------------------------------------
# end
# -----------------------------------------------------------------------------
